Bug 1259203 - Can not disable test with parameter "--udi". [NEEDINFO]
Can not disable test with parameter "--udi".
Status: CLOSED NOTABUG
Product: Red Hat Certification Program
Classification: Red Hat
Component: redhat-certification-hardware (Show other bugs)
1.0
x86_64 Linux
urgent Severity urgent
: ---
: ---
Assigned To: brose
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-02 03:56 EDT by garrickyang
Modified: 2017-04-18 22:08 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-18 22:08:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jkachuck: needinfo? (garrickyang)


Attachments (Terms of Use)

  None (edit)
Description garrickyang 2015-09-02 03:56:50 EDT
Description of problem:
Can not disable test with parameter "--udi". 

How reproducible:
always

Steps to Reproduce:
1.Install OS and test suite.
2.create plan with command "rhcert-backend plan".
3.try to disable a test as below steps:

# rhcert-backend plan --disable --test=audio --udi=/devices/pci0000:00/0000:00:01.0/0000:01:00.1/sound/card1
/usr/lib/python2.6/site-packages/rhcert/crypto.py:16: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  import os, md5, M2Crypto, magic
Verifying test plan
Warning: default plan called
Traceback (most recent call last):
  File "/usr/bin/rhcert-backend", line 37, in <module>
    success = rhcertBackend.do(args)
  File "/usr/lib/python2.6/site-packages/rhcert/client/backend.py", line 188, in do
    result = self.commands[self.command]()
  File "/usr/lib/python2.6/site-packages/rhcert/client/harness.py", line 201, in doPlan
    self.setTestsEnabled()
  File "/usr/lib/python2.6/site-packages/rhcert/client/harness.py", line 1050, in setTestsEnabled
    tests =  self._getTestsFromOptions()
  File "/usr/lib/python2.6/site-packages/rhcert/client/harness.py", line 1043, in _getTestsFromOptions
    return self.certification.getTestsByParameter(Constants.udi, self.options.udi, partialMatch="left")
  File "/usr/lib/python2.6/site-packages/rhcert/certificationtest.py", line 392, in getTestsByParameter
    or (partialMatch == "left" and test.getTestParameters().get(parameter).find(value) ==  0)
TypeError: coercing to Unicode: need string or buffer, list found

# rhcert-backend print
/usr/lib/python2.6/site-packages/rhcert/crypto.py:16: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  import os, md5, M2Crypto, magic

Test Plan:
------------------------------------------------------------------------------
hwcert/audio                              ...:00:01.0/0000:01:00.1/sound/card1 
hwcert/audio                              ...i0000:00/0000:00:1f.3/sound/card0 
hwcert/optical/bluray          sr0        ...st2/target2:0:0/2:0:0:0/block/sr0 
hwcert/optical/cdrom           sr0        ...st2/target2:0:0/2:0:0:0/block/sr0 
hwcert/optical/dvd             sr0        ...st2/target2:0:0/2:0:0:0/block/sr0 
hwcert/usbbase/usbbase/usb2               ...ices/pci0000:00/0000:00:14.0/usb1 
hwcert/usbbase/usbbase/usb3               ...ices/pci0000:00/0000:00:14.0/usb2 
hwcert/kdump                   nfs                                             
hwcert/kdump                   local                                           
hwcert/network/Ethernet/1GigEthernet eth0       .../pci0000:00/0000:00:1f.6/net/eth0 
hwcert/memory                                                                  
hwcert/core                                                                    
hwcert/cpuscaling                                                              
hwcert/fvtest/fv_core                                                          
hwcert/fvtest/fv_memory                                                        
hwcert/fvtest/fv_network                                                       
hwcert/fvtest/fv_storage                                                       
hwcert/profiler                                                                
hwcert/storage                 host6      ...st6/target6:0:0/6:0:0:0/block/sdb 
hwcert/storage                 host0      ...st0/target0:0:0/0:0:0:0/block/sda 
hwcert/video                              ...0000:00/0000:00:01.0/0000:01:00.0 
hwcert/info
#

Actual results:
failed to disable test case.

Expected results:
should be disable one test with --udi

Additional info:
test suite packages:
redhat-certification-1.0-20150723.el6.noarch
redhat-certification-hardware-1.6.6-20150818.el6.noarch
redhat-certification-information-1.6.6-20150818.el6.noarch
Comment 1 Joseph Kachuck 2016-09-30 14:01:03 EDT
Hello,
I apologize for the delay in responding to this BZ. Please confirm if you are still seeing this issue.

Thank You
Joe Kachuck

Note You need to log in before you can comment on or make changes to this bug.